# Decoupled Drupal

This repository contains the code examples and supplemental information for the [Decoupled Drupal](https://drupalize.me/series/decoupled-drupal) series on [Drupalize.Me](https://drupalize.me).

Start by downloading the files in the repository by clicking the button on the right. You really won't need a clone of the repository.

Unzip the files and rename the resulting directory `demo-decoupled-drupal`.

This series contains the following lessons:


* Decoupling Explained
* Is Decoupling the Right Choice?
* Building a Solid API
* API Documentation and Testing
* Exposing an API with Drupal
* Explore the RESTful module
* Exposing Your API in Drupal 8
* Building a Simple Decoupled Front-End
* Replicate Complex Interaction
* SEO with Server-Side Rendering
* Hosting Implications and Considerations

## Lesson Branches

As you progress through the various lessons in this series, you'll find an associated branch in this repository. For example, if you'd like to check out the demo code for lesson 6, you can run `git checkout 06-exploring-the-restful-module`

Most of the videos in this series contain content created using the Devel Generate module (included with the [Devel module](https://www.drupal.org/project/devel)). There is also a mix of  Drupal 7, Drupal 8, and static HTML and JavaScript material in this repository so it is important to ensure you're working with the correct branch for the lesson you're viewing.

**Have fun, and Happy Drupaling!**

